How do I get OpenClipArt working with LibreOffice on OSX?

asked 2017-10-12 21:11:39 +0200

KenJ gravatar image

I've tried 3 different versions of LibreOffice (4.4, 5.0, 5.4) with 2 different versions of the OpenClipart extension and each time I'm getting the same error. Currently on running LibreOffice 4.4.7.2 with the OpenClipArt extension 2016.01.22 on OSX 10.11.6. I'm running Java SE 1.8.0_101 and Python 2.7.13 (Homebrew). I've tried installing on another system with stock Python and Java 8 and I have the same issue. Here's my error:

Scripting Framework error occurred while running the Python script vnd.sun.star.script:openclipart.oxt|python|OpenClipartDialog.py$createDialog?language=Python&location=user:uno_packages.

Message: <class 'keyerror'="">: 'openclipart.oxt'
/Applications/LibreOffice.app/Contents/Resources/pythonscript.py:379 in function getStorageUrlFromPersistentUrl() [package = self.mapPackageName2Path[ packageName ]]
/Applications/LibreOffice.app/Contents/Resources/pythonscript.py:987 in function getScript() [self.provCtx.uriHelper.getStorageURI(scriptUri) );]

How do I get this working so I can use OpenClipArt with LibreOffice (preferrably 5.0)?

edit retag flag offensive close merge delete